=== debian/control ===
Source: ros-kinetic-cartographer-rviz
Section: misc
Priority: extra
Maintainer: The Cartographer Authors <google-cartographer@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), g++, libqt5core5a, libqt5gui5, libqt5widgets5, qtbase5-dev, ros-kinetic-cartographer, ros-kinetic-cartographer-ros-msgs, ros-kinetic-catkin, ros-kinetic-eigen-conversions, ros-kinetic-message-runtime, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-rviz
Homepage: https://github.com/googlecartographer/cartographer_ros
Standards-Version: 3.9.2

Package: ros-kinetic-cartographer-rviz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5widgets5, qtbase5-dev, ros-kinetic-cartographer, ros-kinetic-cartographer-ros-msgs, ros-kinetic-eigen-conversions, ros-kinetic-message-runtime, ros-kinetic-roscpp, ros-kinetic-roslib, ros-kinetic-rviz
Description: Cartographer is a system that provides real-time simultaneous localization and mapping (SLAM) in 2D and 3D across multiple platforms and sensor configurations.
 This package provides Cartographer's RViz integration.
